com.holonplatform.core.beans

## Interface TemporalBeanProperty<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    BeanProperty<T>, CloneableProperty<T,PathProperty<T>,PathProperty.Builder<T,PathProperty<T>,?>>, CloneableProperty.CloneablePathProperty<T,PathProperty<T>>, ConverterExpression<T>, DataMappable, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Path<T>, PathExpression<T>, PathProperty<T>, Property<T>, QueryExpression<T>, QueryProjection<T>, Serializable, TemporalProperty<T>, TemporalQueryExpression<T>, TypedExpression<T>, Validator.Validatable<T>

      public interface TemporalBeanProperty<T>
      extends BeanProperty<T>, TemporalProperty<T>

  A temporal type `BeanProperty`, implementing `TemporalProperty`.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.beans.BeanProperty

      `BeanProperty.Builder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.TemporalProperty

      `TemporalProperty.TemporalPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> BeanProperty.Builder<T>` | `builder(String name, Class<T> type)` Get a builder to create a `TemporalBeanProperty`.

    - ### Methods inherited from interface com.holonplatform.core.beans.BeanProperty

      `getAnnotation, getField, getParentProperty, getReadMethod, getSequence, getWriteMethod, hasAnnotation, isIdentifier`

    - ### Methods inherited from interface com.holonplatform.core.property.TemporalProperty

      `clone, create, create, date, localDate, localDateTime, localTime, offsetDateTime`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.query.TemporalQueryExpression

      `day, hour, month, year`

- - ### Method Detail

    - #### builder

          static <T> BeanProperty.Builder<T> builder(String name,
                                                     Class<T> type)

      Get a builder to create a `TemporalBeanProperty`.
      Specified by:
        `builder` in interface `BeanProperty<T>`
      Type Parameters:
        `T` - Property type
      Parameters:
        `name` - Property name (not null)
        `type` - Property type (not null)
      Returns:
        BeanProperty builder

Copyright © 2019 The Holon Platform. All rights reserved.